/*

  SysBar/2 Utility Set  version 0.21

  Pipe Monitor resource constants

  ..................................................................

  Copyright (c) 1995-1999  Dmitry I. Platonoff
                           All rights reserved

                         dplatonoff@canada.com

  ..................................................................

  LICENSE
  ~~~~~~~
  Redistribution and use in source and binary forms, with or without
  modification, are permitted provided that the following conditions
  are met:

  1. Redistributions of source code must retain the above copyright
     notice, this list of conditions and the following disclaimer.

  2. Redistributions in binary form must reproduce the above
     copyright notice, this list of conditions and the following
     disclaimer in the documentation and/or other materials provided
     with the distribution.

  3. Redistributions of any form whatsoever, as well as all
     advertising materials mentioning features or use of this
     software (if any), must include the following acknowledgment:
     "This product includes software developed by Dmitry I. Platonoff".

  4. The names "SysBar/2" and "Dmitry I. Platonoff" must not be
     used to endorse or promote products derived from this software
     without prior written permission. For such permission, please
     contact dplatonoff@canada.com.

  5. Products derived from this software may not be called
     "SysBar/2" nor may "Dmitry I. Platonoff" appear in their
     contributor lists without prior written permission.

  ..................................................................

  DISCLAIMER
  ~~~~~~~~~~
  THIS SOFTWARE IS PROVIDED BY THE AUTHOR OR CONTRIBUTORS "AS IS"
  AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
  FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
  AUTHOR OR THE CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
  (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
  STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

*/

#define ICO_MAIN                    1

#define D_Cell_Dialog               100
#define D_Cell_Border               101
#define D_Cell_TypeT                102
#define D_Cell_Type                 103
//#define D_Cell_ColorT               104
//#define D_Cell_Color                105
#define D_Cell_DescT                106
#define D_Cell_Desc                 107
#define D_Cell_PrefixT              108
#define D_Cell_Prefix               109
#define D_Cell_AppT                 110
#define D_Cell_App                  111
#define D_Cell_BrowseApp            112
#define D_Cell_List                 113
#define D_Cell_Remove               116
#define D_Cell_Up                   117
#define D_Cell_Down                 118
#define D_Cell_Expire               119
#define D_Cell_TimeoutT             120
#define D_Cell_Seconds              121
#define D_Cell_SecondsT             122
#define D_Cell_NameT                123
#define D_Cell_Name                 124
#define D_Cell_Choice               125
#define D_Cell_BrowseFile           126
#define D_Cell_Setup                127

#define D_Cell_Notebook             151
#define D_Cell_Page1                152
#define D_Cell_CopyrightT           153

#define D_Number_Dialog             199
#define D_Number_Default            198
#define D_Number_Gb                 197
#define D_Number_GbName             196
#define D_Number_GbT1               195
#define D_Number_GbLimit            194
#define D_Number_GbT2               193
#define D_Number_Mb                 192
#define D_Number_MbName             191
#define D_Number_MbT1               190
#define D_Number_MbLimit            189
#define D_Number_MbT2               188
#define D_Number_Kb                 187
#define D_Number_KbName             186
#define D_Number_KbT1               185
#define D_Number_KbLimit            184
#define D_Number_KbT2               183
#define D_Number_b                  182
#define D_Number_bName              181


#define DLG_SETTINGS                200
#define D_Display                   201
#define D_Size                      204
#define D_Size_Small                205
#define D_Size_Large                206
#define D_Size_Auto                 207
#define D_Size_Custom               208
#define D_Size_Size                 209
#define D_Grow                      210
#define D_Grow_Left                 211
#define D_Grow_Right                212
#define D_Desc_Font_Settings        215
#define D_Pipe_Font_Settings        216
#define D_Color_T                   217
#define D_Color_List                218
#define D_Display_None              220
#define D_Display_OnTop             221
#define D_Display_Popup             222
#define D_Display_Popup2            223
#define D_Bind_Corner               230
#define D_Bind_Off                  231
#define D_Bind_NW                   232
#define D_Bind_NE                   233
#define D_Bind_SW                   234
#define D_Bind_SE                   235
#define D_Lock_Position             240

#define MNU_PIPE                    300
#define MNU_PIPE_CLOSE              302
#define MNU_PIPE_SAVE               304
#define MNU_PIPE_PROPERTIES         307
#define MNU_PIPE_ORIENTATION        310
#define MNU_PIPE_ORNT_LEFT          311
#define MNU_PIPE_ORNT_RIGHT         312
#define MNU_PIPE_SIZE               320
#define MNU_PIPE_SMALL              321
#define MNU_PIPE_LARGE              322
#define MNU_PIPE_AUTO               323
#define MNU_PIPE_CUSTOM             324
#define MNU_PIPE_NOTOP              360
#define MNU_PIPE_TOPMOST            361
#define MNU_PIPE_POPUP              362
#define MNU_PIPE_POPUP2             363
#define MNU_PIPE_BIND_OFF           365
#define MNU_PIPE_BIND_NW            366
#define MNU_PIPE_BIND_NE            367
#define MNU_PIPE_BIND_SW            368
#define MNU_PIPE_BIND_SE            369
#define MNU_PIPE_LOCKPOSITION       393
#define MNU_PIPE_SETUP              394
#define MNU_PIPE_COPY               395
#define MNU_PIPE_SUBMENU            396
#define MNU_PIPE_REMOVE             397
#define MNU_PIPE_EMPTY              398
#define MNU_PIPE_EVENT              399

#define DLG_ABOUT                   410
#define D_Version                   421
#define D_Copyright                 422
#define D_Email                     423

#define DLG_PIPES                   500
#define D_Pipe                      501
#define D_Pipe_NameT                502
#define D_Pipe_Name                 503
#define D_Pipe_DescT                504
#define D_Pipe_Desc                 505
#define D_Pipe_ColorT               506
#define D_Pipe_Color                507
#define D_Pipe_List                 508
#define D_Pipe_Add                  509
#define D_Pipe_Change               510
#define D_Pipe_Remove               511
#define D_Pipe_Up                   512
#define D_Pipe_Down                 513

#define D_Pipe_ExecT                514
#define D_Pipe_Exec                 515
#define D_Pipe_ExpireSw             516
#define D_Pipe_Expire               517
#define D_Pipe_Browse               518

#define D_Cell_New                  114
#define D_Cell_Edit                 115
#define D_Cell_Clone                150
#define D_Cell_PageApp              160
#define D_App_IncomeX               161
#define D_App_IncomeBrw             162
#define D_App_IncomeTxt             163
#define D_App_DblclickX             164
#define D_App_DblclickBrw           165
#define D_App_DblclickTxt           166
#define D_App_Income                167
#define D_App_Dblclick              168
#define D_App_Note                  169
#define D_Cell_PageLog              170
#define D_Log_Enable                171
#define D_Log_Timestamping          172
#define D_Log_Buffer1               173
#define D_Log_Buffer                174
#define D_Log_Buffer2               175
#define D_Log_MLE                   176
#define D_Log_AppendX               177
#define D_Log_AppendFile            178
#define D_Log_AppendBrw             179
#define D_Cell_Enable               128
#define D_Cell_EmptyT               129
#define D_Cell_Empty                130
#define D_Cell_LazyShrink           131
#define D_Cell_Check0               154
#define D_Cell_Check1               155
#define D_Cell_Check2               156
#define D_Cell_Check3               157

#define D_Cell_PageColors           600
#define D_Text_ColorT               601
#define D_Back_ColorT               602
#define D_Default_ColorG            603
#define D_Custom_ColorG             606
#define D_Text_Default              604
#define D_Back_Default              605
#define D_Color_Condition1          607
#define D_Color_Text1               608
#define D_Text_Color1               609
#define D_Back_Color1               610
#define D_Color_Condition2          611
#define D_Color_Text2               612
#define D_Text_Color2               613
#define D_Back_Color2               614
#define D_Color_Condition3          615
#define D_Color_Text3               616
#define D_Text_Color3               617
#define D_Back_Color3               618
#define D_Custom_Color_Last         619
